version 7.0
#delimit ;


program define describetext, rclass;
    syntax varlist(min=1);
    tempvar totwords;
    display in text;
    display in text "                       {c |}     Ref   Total  Unique   Mean   Median";
    display in text "                  Text {c |}   Score   Words   Words   Freq.   Freq.";
    display in text "{hline 23}{c +}{hline 40}";

    tokenize `varlist';
    tempvar totuniqwords;
    tempvar totuniqwords2;
    quietly gen `totwords' = 0;
    quietly gen `totuniqwords' = 0;
    quietly gen `totuniqwords2' = 0;
    while "`1'" ~= "" {;
*        di " **** 1 = `1'  rtextnames = $rtextnames";
	local d : list `1' in rtextnames;
*        di " **** `1' and dummy = `d' ****";
 	if `d'==0 {;
            char `1'[rscore] .; 
	}; 
	quietly replace `totwords' = sum(`1');
	quietly replace `totuniqwords'  = (`1' > 0);
	quietly replace `totuniqwords2' = sum(`totuniqwords');
	quietly summarize `1' if `totuniqwords'>0, detail;
        display in text %22s abbrev("`1'",22) " {c |}" as result
                        %8.2f ``1'[rscore]'
                        %8.0gc `totwords'[_N]
                        %8.0gc  r(N)
			%8.2f   r(mean)
                        %8.2f   r(p50);                        
	macro shift;
    };

end;


