/* NOTES:
   requires java 1.4.2
   must have this file AND wordfreq.jar in
   c(sysdir_personal), which is typically:

  c:\ado\personal\  (Windows)
  ~/ado/personal    (Unix)

  if you are not sure, type "sysdir" from a Stata prompt
*/


* version 7.0

program define wordfreqj, rclass
  clear
  display _continue as text "  Starting WORDFREQ (java)."
  shell java -Xmx128m -jar `c(sysdir_plus)'w/wordfreq.jar `0' > _0000tmp.txt
  display _continue as text "."
  quietly insheet using _0000tmp.txt
  capture drop t_0000tmp
  erase  _0000tmp.txt
  tempvar total
  egen `total' = rsum(t*)
  display _continue as text "."
  gsort -`total'
  display _continue as text "."
  display _continue as text ".finished."
end

